Deployments
Roll back deployment
Authorization
API key Deployments: writeAuthorizationBearer <token>
API key (sf_...) with any of the required scopes. Generate it in the Spotflow portal on the settings page.
In: header
Scope: Deployments: write
Path Parameters
workspaceId*string
Format
uuiddeploymentCohortId*string
deploymentId*string
Response Body
application/json
application/problem+json
curl -X POST "https://example.com/workspaces/00000000-0000-0000-0000-000000000001/deployment-cohorts/m3Yg84tDx7Rn/deployments/p6Bh19qSj5Fw/rollback"Deployment created to roll the devices back to the previous firmware version.
{ "id": "u1Dq46yTk3Bs", "name": "Roll back of Roll out 2.4.1", "deploymentCohortId": "m3Yg84tDx7Rn", "createdAt": "2026-01-12T11:35:00+00:00", "isActive": true, "artifacts": [ { "id": "v5Gp83hMz2Xf", "order": 0, "firmware": { "isMain": true, "slug": "main-application", "firmwareVersion": { "id": "w9Rc14sNv6Jd", "name": "2.4.0", "firmware": { "id": "q8Fd53pLn1Yr", "name": "Thermostat application" } } } } ], "deviceUpdateStateCounts": { "pending": 18, "inProgress": 0, "succeeded": 0, "failed": 0, "cancelled": 0 }}